Re: [gnome-db] libgda: Public and semi-public API?

On Tue, 2007-01-16 at 12:27 +0100, Murray Cumming wrote:
On Tue, 2007-01-16 at 21:18 +1000, Bas Driessen wrote:
> On Tue, 2007-01-16 at 11:02 +0100, Murray Cumming wrote: 
> > On Tue, 2007-01-16 at 10:16 +0100, Vivien Malerba wrote:
> > > On 1/16/07, Murray Cumming <murrayc murrayc com> wrote:
> > > > The new libgda API is very large. I suspect that it's not all useful
> > > > from applications. I guess that much of the API is only useful for
> > > > implementing providers, and some might even be pure implementation.
> > > 
> Ehmmm .... Can we have the long anticipated official libgda 3.0
> release first please before any new overhauls and
> refurbishments .... ;)

I am only talking about moving some files around, not changing the API.
However, documenting it might be enough for me.

The huge size of the (rather undocumented) API, which has changed a lot
recently, is a big reason not to rush to libgda 3.0 unless we are
completely OK with doing a parallel-installable libgda 4.0 when we
discover the problems with it.

I agree that there needs to be much more documented, but it is a mess out there in the various Linux distributions, where different development libgda versions are used in various official distributions. So as soon as the API design is done, please release. Documentation can be added in follow up patch style releases. It has been several years since the last official libgda (1.2) release, so it needs to get out there.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]